Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.extensions.prepress
Class PageScale

    java.lang.Object
      org.apache.fop.render.extensions.prepress.PageScale

    public final class PageScale

extends java.lang.Object

This class provides utility methods to parse the 'fox:scale' extension attribute.

Field Summary
`static org.apache.xmlgraphics.util.QName` | `EXT_PAGE_SCALE` The extension 'scale' attribute for the simple-page-master element.

Method Summary
`static java.awt.geom.Point2D` | `getScale(java.lang.String scale)` Compute scale parameters from given fox:scale attribute which has the format: scaleX [scaleY] If scaleY is not defined, it equals scaleX.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXT_PAGE_SCALE

    public static final org.apache.xmlgraphics.util.QName EXT_PAGE_SCALE

  The extension 'scale' attribute for the simple-page-master element.

Method Detail

### getScale

    public static java.awt.geom.Point2D getScale(java.lang.String scale)

  Compute scale parameters from given fox:scale attribute which has the format: scaleX [scaleY] If scaleY is not defined, it equals scaleX.

  Parameters:
    `scale` - scale attribute, input format: scaleX [scaleY]
  Returns:
    the pair of (sx, sy) values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.